export default class IpbxSipTrunkController {
  constructor($scope, mediaServers, $log) {
    this.mediaServers = mediaServers;
    this.$scope = $scope;
    this.$log = $log;

    this.$scope.list = [];

    mediaServers.listMediaServers()
      .then((response) => {
        this.$scope.list = response.data;
      }, (error) => {
        $log.error(error);
      });
  }
}
